// AIN
var PageAin = {
  id: "PageAin", //页面id
  menu: "i18n.lan.menu.ain", //所属菜单(一级菜单名)
  title: "i18n.lan.menu.PageAin", //标题（二级菜单名）
  parentIcon:"icon-me-ain", //父菜单图标
  icon: "icon-me-ain", //图标
  refreshBtnCmd: "DUMP_ADS", //刷新按钮指令
  saveBtn: true, //保存按钮
  el: [
    {
      //计算器弹出窗口
      elname: "div",
      attrs: {
        id: "calcWindow",
        class: "easyui-window",
        title: i18n.lan.PageAin.calcTip,
        style: "width:320px;height:180px;",
        closed: true, //默认不显示
      },
    },
    {
      //计算器图标
      elname: "div",
      attrs: {
        id: "ainCalc",
        title: i18n.lan.PageAin.calcTip,
        onclick: "PageAin_creaetCalcWindow()",
      },
    },
    {
      elname: "datagrid",
      rowCount: Device.getNodesCount("ain"), //必选,行数
      data: {
        width: 360,
        columns: [
          [
            {
              //序号
              field: "index",
              width: 40,
              align: "center",
            },
            {
              //值
              field: "value",
              width: 100,
              dumpKey: "AINC<n>",
              dumpParamIndex: 0,
            },
            {
              //转换比例
              field: "scaleValue",
              width: 100,
              dumpKey: "ADZERO<n>",
              editor: Easyui.editor.numberbox4,
              cmdKey: "AIN<n>ZE",
            },
            {
              //调整值
              field: "adjValue",
              width: 100,
              dumpKey: "ASCALE<n>",
              editor: Easyui.editor.numberbox4,
              editorType: "numberbox",
              cmdKey: "AIN<n>SC",
            },
          ],
        ],
      },
    },
  ],
};
CmdPage.add(PageAin); //添加到页面管理

//创建计算器窗口
function PageAin_creaetCalcWindow() {
  let html =
    '<div>\
      <span>{range}:</span>\
      <input type="text" value="4" id="ainWin_r0"> - \
      <input type="text" value="20" id="ainWin_r1">\
      </div>\
      <div><span>{actualRange}:</span>\
      <input type="text" id="ainWin_r2"> - \
      <input type="text" id="ainWin_r3"></div>\
      <div style="padding:5px;text-align:center;">\
      <button onclick=\'PageAin_calcAdjAndScale();$("#calcWindow").window("close");\'>{ok}</button>\
      <button onclick=\'$("#calcWindow").window("close")\'>{cancel}</button>\
      </div>'.format(
      i18n.lan.PageAin
    );
  let win = $("#calcWindow");
  win.html(html);
  win.window({ collapsible: false, minimizable: false, maximizable: false });
  $("#calcWindow").window("open");
}
// 计算基准和转换系数
function PageAin_calcAdjAndScale() {
  if (PageAin.dgData.rows.length == 0) return;
  let dgId = "PageAin_dg";
  let vals = [];
  for (let i = 0; i < 4; i++) {
    vals.push(parseFloat($("#ainWin_r" + i).val()));
  }
  let row = $("#" + dgId).datagrid("getSelected");
  if (!row) row = PageAin.dgData.rows[0];
  if (vals[0] == vals[1]) {
    row.adjValue = 0;
    row.scaleValue = 1;
  } else {
    row.scaleValue = (vals[3] - vals[2]) / (vals[1] - vals[0]);
    row.adjValue = vals[0] * row.scaleValue - vals[2];
  }
  DatagridTool.updateData(dgId, true);
  //标记为修改
  DatagridTool.addToUpdatedRows(dgId, row);
}
