// WiFi
var PageWiFi = {
    id: "PageWiFi", //页面id
    menu: "i18n.lan.menu.dataTrans", //所属菜单(一级菜单名)
    title: "i18n.lan.menu.PageWiFi", //标题（二级菜单名）
    parentIcon: "icon-me-gprs",
    icon: "icon-me-wifi", //图标
    refreshBtnCmd: "DUMP_WIFI", //刷新按钮指令
    saveBtn: true, //保存按钮
    el: [
        //控件
        {
            elname: "style",
            text: "#PageWiFi > label{min-width:150px;}",
        },
        {
            //WiFi状态
            elname: "text",
            label: i18n.lan.PageWiFi.wifiState,
            endRow: true,
            attrs: {
                dumpKey: "WIFI_STATE",
                dealDumpParam: "PageWiFi_GetState(value)",
                width: "200px",
                readonly: true,
            },
        },
        {
            //MAC地址
            elname: "text",
            label: i18n.lan.PageWiFi.macAddress,
            endRow: true,
            attrs: {
                dumpKey: "WIFI_MAC",
                cmdKey: "WIFIMAC",
                readonly: true,
            },
        },
        {
            //静态IP
            elname: "checkbox",
            label: i18n.lan.PageWiFi.staticIP,
            id: "PageWiFi_staticIP",
            attrs: {
                dumpKey: "WIFI_STATICIP",
                cmdKey: "WIFISTATICIP",
            },
            endRow: true,
        },
        {
            //网关
            elname: "text",
            label: i18n.lan.PageWiFi.gateway,
            endRow: true,
            attrs: {
                dumpKey: "WIFI_GW",
                cmdKey: "WIFI_GW",
                // 只是为了快速设置，地址可能不能用
                ondblclick: "this.value='192.168.1.1'",
            },
        },
        {
            //子网掩码
            elname: "text",
            label: i18n.lan.PageWiFi.subnetMask,
            endRow: true,
            attrs: {
                dumpKey: "WIFI_MASK",
                cmdKey: "WIFI_MASK",
                // 常用地址
                ondblclick: "this.value='255.255.255.0'",
            },
        },
        {
            //IP地址
            elname: "text",
            label: i18n.lan.PageWiFi.ipAddress,
            endRow: true,
            attrs: {
                dumpKey: "WIFI_SIP",
                cmdKey: "WIFI_SIP",
                // 只是为了快速设置，地址可能不能用
                ondblclick: "this.value='192.168.1.123'",
            },
        },

        {
            elname: "datagrid",
            rowCount: Device.getNodesCount("wifi"), //必选,行数
            data: {
                width: 580,
                columns: [
                    [{
                            //序号
                            field: "index",
                            width: 40,
                            align: "center",
                        },
                        {
                            //当前状态
                            field: "security",
                            formatter: Easyui.formatter.combobox,
                            editor: new Easyui.editor.Combobox(
                                i18n.lan.PageWiFi.securityItems,
                                false
                            ),
                            dumpKey: "WIFI_AP<n>",
                            dumpParamIndex: 0,
                            cmdKey: "WIFIAPSET<n>,", //最后有逗号
                            getValue: "PageWiFi_SetAP(rows[row].index)",
                            width: 120,
                        },
                        {
                            //用户名
                            field: "wifiName",
                            editor: Easyui.editor.text,
                            dumpKey: "WIFI_AP<n>",
                            dumpParamIndex: 1,
                            width: 200,
                        },
                        {
                            //用户名
                            field: "wifiPassword",
                            editor: Easyui.editor.text,
                            dumpKey: "WIFI_AP<n>",
                            dumpParamIndex: 2,
                            width: 200,
                        },
                    ],
                ],
            },
        },
        {
            //TCP server
            elname: "text",
            endRow: true,
            attrs: {
                cmdKey: "WIFITCPSVREN1",
                // 只是为了快速设置，地址可能不能用
                style: "display:none;", //只是用来自动保存指令，不显示
            },
        },
    ],
};
CmdPage.add(PageWiFi); //添加到页面管理

//返回secrity,wifiName,wifiPassword的值，用逗号分隔
function PageWiFi_SetAP(rowIndex) {
    let val = "";
    val += DatagridTool.getColumnVal("PageWiFi", rowIndex, "security");
    val += "," + DatagridTool.getColumnVal("PageWiFi", rowIndex, "wifiName");
    val += "," + DatagridTool.getColumnVal("PageWiFi", rowIndex, "wifiPassword");
    return val;
}

// 获取WiFi状态
function PageWiFi_GetState(val) {
    // 返回( 'cc:50:e3:4a:72:06' rssi:0 Not Connected)中的"rssi:0 Not Connected"
    // 注意最前面有个空格
    val = val.trim();
    return val.substr(val.indexOf("rssi"));
}